﻿Imports Syncfusion.EJ.Export
Imports Syncfusion.XlsIO
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Linq
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Public Partial Class GridFeatures
	Inherits System.Web.UI.Page
	Private order As New List(Of Orders)()
	Protected Sub Page_Load(sender As Object, e As EventArgs)
		BindDataSource()
	End Sub
	Private Sub BindDataSource()
		Dim orderId As Integer = 10000
		Dim empId As Integer = 0
		Dim i As Integer = 1
		While i < 9
			order.Add(New Orders(orderId + 1, "VINET", empId + 1, 32.38, New DateTime(2014, 12, 25), "Reims"))
			order.Add(New Orders(orderId + 2, "TOMSP", empId + 2, 11.61, New DateTime(2014, 12, 21), "Munster"))
			order.Add(New Orders(orderId + 3, "ANATER", empId + 3, 45.34, New DateTime(2014, 10, 18), "Berlin"))
			order.Add(New Orders(orderId + 4, "ALFKI", empId + 4, 37.28, New DateTime(2014, 11, 23), "Mexico"))
			order.Add(New Orders(orderId + 5, "FRGYE", empId + 5, 67.0, New DateTime(2014, 5, 5), "Colchester"))
			order.Add(New Orders(orderId + 6, "JGERT", empId + 6, 23.32, New DateTime(2014, 10, 18), "Newyork"))
			orderId += 6
			empId += 6
			System.Math.Max(System.Threading.Interlocked.Increment(i),i - 1)
        End While
		Me.Grid1.DataSource = order
		Me.Grid1.DataBind()
	End Sub
	<Serializable> _
	Public Class Orders
		Public Sub New()
		End Sub
		Public Sub New(orderId As Integer, customerId As String, empId As Integer, freight As Double, orderDate As DateTime, shipCity As String)
			Me.OrderID = orderId
			Me.CustomerID = customerId
			Me.EmployeeID = empId
			Me.Freight = freight
			Me.OrderDate = orderDate
			Me.ShipCity = shipCity
		End Sub
		Public Property OrderID() As Integer
		Public Property CustomerID() As String
		Public Property EmployeeID() As Integer
		Public Property Freight() As Double
		Public Property OrderDate() As DateTime
		Public Property ShipCity() As String
    End Class
    Protected Sub FlatGrid_ServerExcelExporting(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs)
        Dim exp As New ExcelExport()
        exp.Export(Grid1.Model, DirectCast(Grid1.DataSource, IEnumerable), "Export.xlsx", ExcelVersion.Excel2010, True, True, _
            "flat-lime")
    End Sub

    Protected Sub FlatGrid_ServerWordExporting(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs)
        Dim exp As New WordExport()
        exp.Export(Grid1.Model, DirectCast(Grid1.DataSource, IEnumerable), "Export.docx", True, True, "flat-lime")
    End Sub

    Protected Sub FlatGrid_ServerPdfExporting(sender As Object, e As Syncfusion.JavaScript.Web.GridEventArgs)
        Dim exp As New PdfExport()
        exp.Export(Grid1.Model, DirectCast(Grid1.DataSource, IEnumerable), "Export.pdf", True, True, "flat-lime")
    End Sub
End Class
